Subject: Bug in Devuan installer kernel - panic/reboot at installation of additional software

From: Enrico Menotti <[email-masked]>
Date: Sun, 23 Apr 2017 14:32:33 +0200 (CEST)

Package: devuan-installer

Version: jessie rc

The machine is an old Fujitsu Siemens C series Lifebook. Please find attached info about the hardware.

I downloaded the iso image of the jessie rc installer, and burnt it on a cd rom. Inserted the cd and rebooted the computer. Selected the non-graphical install. The base system installs fine (if I stop there, I indeed have a booting system). Then there is the step where desktop environments and additional software may be selected. I only select additional software, not any desktop environment. Then go on.

The install which follows this step went on up to about 95% (tried three/four times, always more or less the same result). Then the system either crashes (complete hang, only power button working if held for a few seconds), reboots or shows an install failure (and reboots). One time, before crash, I enabled a second console (ctrl+alt+f2) and ran dmesg in a loop. The system hanged. Last info on screen was about a kernel panic.

The last time I tried, before running the additional software installation, I enabled a second console and mounted a usb stick on /var/log (with sync option - no cache). This allowed a syslog to be written on the usb stick. The install went on for a while and then showed a failure; afterwards, the system rebooted. I attach the syslog. I found the following:

1010 Apr 22 17:43:34 kernel: [ 7180.101816] BUG: unable to handle kernel paging request at e66b6000

1011 Apr 22 17:43:34 kernel: [ 7180.101832] IP: [<d0608b15>] 0xd0608b15

1012 Apr 22 17:43:34 kernel: [ 7180.101846] *pde = 263bf063 *pte = 266b6161

1013 Apr 22 17:43:34 kernel: [ 7180.101854] Oops: 0003 [#1]

I may be wrong, but (based on indications by others) I think this be a kernel bug.

At present I have only installed the base system, skipping additional software. The system boots and runs fine.

Thank you and best regards,

Enrico Menotti